/*
	File:		AVTransportExpert.c

	Contains:	Code to implement AV transport control driver expert loader.

	Written by:	Erik Staats

	Copyright:	 1996-1997 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	   <FW5>	 3/18/97	ES		Changed expert description version to final.
	   <FW4>	10/22/96	ES		Changed to use the GenericDriverFamily for device notification.
	   <FW3>	 6/27/96	ES		Took out include of AdminMessagePort.h.
	   <FW2>	 6/20/96	ES		Filled in contains and written by fields.
	   <FW1>	 6/20/96	ES		first checked in

*/

#include <Types.h>
#include <Errors.h>
#include <NameRegistry.h>
#include <DriverServices.h>
#include <Devices.h>
#include <CodeFragments.h>
#include <GenericDriverFamily.h>
#include <AVTransport.h>
#include <AVTransportPriv.h>
/*zzz*/
static char  debugStr[256];
/*zzz*/


////////////////////////////////////////////////////////////////////////////////
//
// The service descriptor.
//

GDFServiceDescription 			TheGDFServiceDescription =
{
	kGDFServiceDescriptionSignature,
	kInitialGDFServiceDescriptor,
	{
		kNdrvTypeIsAVTransport,
		1, 0, finalStage, 1,
		0
	},
	{
		0,
		"\pAVTransport",
		{ 0, 0, 0, 0, 0, 0, 0, 0 }
	}
};


////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
//
// Private routines.
//
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
//
// GDFExpertEntryPoint
//
//   This routine installs the AV transport control driver expert loader.
//

long	GDFExpertEntryPoint(void)
{
	return ((long) InstallAVTExpert ());
}


////////////////////////////////////////////////////////////////////////////////
//
// AVTExpertTerminate
//
//   This proc terminates the AV transport control driver expert loader.
//

long	AVTExpertTerminate()
{
	return ((long) UninstallAVTExpert ());
}


