/*
	File:		AVTransportExpert.h

	Contains:	Definitions for AVTransportExpert.

	Written by:	Erik Staats

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	   <FW4>	10/22/96	ES		Removed device notification fields from AVTExpertData record.
									Added Generic Driver Family notification field to AVTExpertData
									record.
	   <FW3>	 6/20/96	ES		Made this look more like a .i generated interface.
	   <FW2>	 6/20/96	ES		Filled in contains and written by fields.
	   <FW1>	 6/20/96	ES		first checked in

*/

#ifndef __AVTRANSPORTEXPERT__
#define __AVTRANSPORTEXPERT__

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

struct AVTExpertDataStruct
{
	GDFDeviceEventRegistrationID
								gdfDeviceEventRegistrationID;	// Reference to generic device event registration.
};
typedef struct AVTExpertDataStruct
								AVTExpertData,
								*AVTExpertDataPtr;

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __AVTRANSPORTEXPERT__ */
