/*
	File:		AVTransportExpert.r

	Contains:	Resources for AVTransportExpert.

	Version:	1.0

	Written by:	Erik Staats

	Copyright:	 1996, 1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Eric Anderson

		Other Contact:		

		Technology:			FireWire

	Writers:

		(DCB)	Clinton Bauder
		(jkl)	Jay Lloyd

	Change History (most recent first):

	   <FW4>	12/19/98	DCB		More cleanup for SDK.
		 <3>	 1/17/98	jkl		Update for new headers.
	   <FW2>	 6/20/96	ES		Filled in contains and written by fields.
	   <FW1>	 6/20/96	ES		first checked in

*/


#if ETO_BUILD
#include "SysTypes.r"
#include "CodeFragmentTypes.r"
#else
#include "Types.r"
#include "CodeFragments.r"
#endif

resource 'cfrg' (0)
{
	{
      kPowerPC,				/* Target machine's Architecture. */
      kFullLib,				/* This is not an update. */
	  kNoVersionNum,		/* Current version. */
	  kNoVersionNum,		/* Definition version. */
	  kDefaultStackSize,	/* Stack size of application. */
	  kNoAppSubFolder,		/* Not used here.  Can be the resource-id of an 'alis'
							   resource.  Used to provide additional location
							   to search for libraries. */
	  kIsLib,				/* This is an application (not a lib or drop-in). */
	  kOnDiskFlat,			/* This code fragment is on disk, in the data fork. */
	  kZeroOffset,			/* Offset of code into data fork. */
	  kWholeFork,			/* Code takes up all of data fork (can give a size). */
	  "AVTransportExpert"	/* Name of library. */
	}
};

resource 'vers' (1)
{
	FWVersion,
	FWRevision,
	FWBuildStage,
	FWBuildNumber,
	verUS,
	FWShortVersionString,
	FWLongVersionString
};
